Update an existing custom set

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Important Notes:

  • If the teams field is provided, it must contain valid team IDs belonging to the organization.
    • If the empty array is passed, then the custom set will be accessible to all the teams in the organization
    • If team ids are passed, only teams in the request can access the custom set (which means access from other teams will be revoked)
  • If an items field is included in the data property:
    • All prior items in the custom set will be removed and replaced with the new set.
    • The items will appear in the custom set in the same order they are specified in the array.
    • Each item must include an item_name field, which is required.
    • Other fields within each item (e.g., reference_id, score, color, is_flagged) are optional.

When to expect errors:

400 Bad Request:

  • The custom set’s name is empty.
  • An item’s name is missing or empty.
  • An invalid team ID is provided.
  • Any other parameter contains an invalid data type.

401 Unauthorized

  • The provided API key is invalid or missing.
  • You attempt to update a custom set that you do not have permission to access.

404 Not Found

  • An unexpected error occurs while processing the request.
Path Params
string
required

Unique id of the custom set

Body Params
string

The name you want to give to your custom set.

string

Any string value just for your reference

data
object

Custom set items data object

teams
array of strings

Array of team's unique identifier for which this custom set should be accessible.

teams
Headers
string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json